Announcement

Collapse
No announcement yet.

Mesa 19.3.1 Released With A Few Intel + Radeon Graphics Driver Fixes

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Mesa 19.3.1 Released With A Few Intel + Radeon Graphics Driver Fixes

    Phoronix: Mesa 19.3.1 Released With A Few Intel + Radeon Graphics Driver Fixes

    While Mesa 19.3 was just released last week, Mesa 19.3.1 is now available rather than on its bi-weekly release cadence in order to avoid the Christmas and New Year's holidays...

    http://www.phoronix.com/scan.php?pag...9.3.1-Released

  • #2
    Cool! Thank you mesa developers! Anybody knows if Fedora 31 is going to get mesa 19.3?

    Comment


    • #3
      Originally posted by kmare View Post
      Cool! Thank you mesa developers! Anybody knows if Fedora 31 is going to get mesa 19.3?
      It will.

      Fedora pulls in the newer versions of the kernel and graphics stack after periods of QA (there's no reason not to on a non-LTS distro).

      Comment


      • #4
        Originally posted by Britoid View Post
        (there's no reason not to on a non-LTS distro)
        Servers, various development workloads, POS & industrial systems, etc benefit more from LTS than non-LTS.

        In those scenarios you want an environment that doesn't change because all you're doing is hosting backup files or are developing a game for a console so you require an environment that doesn't change during the three or four years it'll take to develop that game because, in either case, all one really cares to get are security updates.

        But for the average home user, I agree there usually isn't a reason to run a non-LTS distribution on their desktop; especially if games and multimedia are involved.

        Comment


        • #5
          Testing Mesa 19.3.1 in Debian Sid this is what I get:

          [email protected]:~/deb-tmp/GVL1.1.0$ glxinfo
          name of display: :0
          libGL error: MESA-LOADER: failed to open radeonsi (search paths /usr/lib/x86_64-linux-gnu/dri:\$${ORIGIN}/dri:/usr/lib/dri)
          libGL error: failed to load driver: radeonsi
          libGL error: MESA-LOADER: failed to open radeonsi (search paths /usr/lib/x86_64-linux-gnu/dri:\$${ORIGIN}/dri:/usr/lib/dri)
          libGL error: failed to load driver: radeonsi
          libGL error: MESA-LOADER: failed to open swrast (search paths /usr/lib/x86_64-linux-gnu/dri:\$${ORIGIN}/dri:/usr/lib/dri)
          libGL error: failed to load driver: swrast
          X Error of failed request: GLXBadContext
          Major opcode of failed request: 152 (GLX)
          Minor opcode of failed request: 6 (X_GLXIsDirect)
          Serial number of failed request: 60
          Current serial number in output stream: 59

          The changes via libglvn 1.3.0-5 seems to have not been tested well.

          Back to 19.2.6.

          Comment

          Working...
          X